# Class JmolUtil

java.lang.Object
org.jmol.io.JmolUtil

public class JmolUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`JmolUtil()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAtomSetCollectionOrBufferedReaderFromZip(Viewer vwr, InputStream is, String fileName, String[] zipDirectory, Map<String,Object> htParams, int subFilePtr, boolean asBufferedReader)`
A rather complicated means of reading a ZIP file, which could be a single file, or it could be a manifest-organized file, or it could be a Spartan directory.
`byte[]`
`getCachedPngjBytes(FileManager fm, String pathName)`
`Object`
`getImage(Viewer vwr, Object fullPathNameOrBytes, String echoName, boolean forceSync)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JmolUtil

public JmolUtil()

## Method Details

### getImage

public Object getImage(Viewer vwr, Object fullPathNameOrBytes, String echoName, boolean forceSync)

### getAtomSetCollectionOrBufferedReaderFromZip

public Object getAtomSetCollectionOrBufferedReaderFromZip(Viewer vwr, InputStream is, String fileName, String[] zipDirectory, Map<String,Object> htParams, int subFilePtr, boolean asBufferedReader)
A rather complicated means of reading a ZIP file, which could be a single file, or it could be a manifest-organized file, or it could be a Spartan directory.

Parameters:
  `vwr` -
  `is` -
  `fileName` -
  `zipDirectory` -
  `htParams` -
  `subFilePtr` -
  `asBufferedReader` -
Returns:
  a single atomSetCollection

### getCachedPngjBytes

public byte[] getCachedPngjBytes(FileManager fm, String pathName)